package com.crm.manager.service;

import com.crm.rely.backend.core.dto.user.role.qa.UserRoleQaDto;
import com.crm.rely.backend.core.entity.user.role.qa.UserRoleQaSaveEntity;
import com.crm.rely.backend.core.pojo.table.UserRoleQaTable;
import com.crm.rely.backend.exception.ServiceException;

import java.util.List;

public interface UserRoleQaService {
    List<UserRoleQaDto> getByQaId(Long qaId) throws ServiceException;

    List<UserRoleQaTable> getByQaIdIn(List<Long> qaIds) throws ServiceException;

    void save(List<UserRoleQaSaveEntity> entities, Long qaId) throws ServiceException;

    void delete(List<Long> qaIds) throws ServiceException;
}
